/*****************************************************************************
 * yahoofxfer.h
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 *
 * Copyright (C) 2006 Stefan Sikora
 *****************************************************************************/
#ifndef _YAHOOFXFER_H_
#define _YAHOOFXFER_H_

#define YAHOO_RELAYSERVER "relay.msg.yahoo.com"

void yahoo_start_fxfer(char *who, char *filename);
void yahoo_fxfer_offer_msg(char *who, char *filename, char *filekey, int filelength);
void yahoo_fxfer_decline_msg(char *who, char *filekey);
void yahoo_fxfer_prepsendfile(char *who, char *filekey);
void yahoo_fxfer_getfile_relay(char *who, char *server, char *filename, char *filekey, char *token);
void yahoo_fxfer_sendfile_relay(char *who, char *filekey, char *token);
void yahoo_fxfer_sendfile_relay_cancel(char *who, char *filekey);
void yahoo_fxfer_getfile_p2p(char *who, char *url, char *filename);
void yahoo_fxfer_show_file_selection(char *who, char *server, char *filename, char *filekey, char *token);
void yahoo_fxfer_getfile_cancel(char *who, char *filekey, char *token);

extern void append_char_pixmap_text( const char **pixy, GtkWidget *textw);

extern int fxfr_close_meter_when_done;

#endif //_YAHOOFXFER_H_
